Get all Vulnerability Changelogs
curl --request GET \
--url https://api.projectdiscovery.io/v1/scans/vuln/changelogs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.projectdiscovery.io/v1/scans/vuln/changelogs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/scans/vuln/changelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"matcher_status": true,
"vuln_id": "<string>",
"target": "<string>",
"created_at": "<string>",
"scan_id": "<string>",
"event": {
"curl-command": "<string>",
"extracted-results": [
"<string>"
],
"extractor-name": "<string>",
"host": "<string>",
"info": {
"name": "<string>",
"classification": {
"cpe": "<string>",
"cve-id": [
"<string>"
],
"cvss-metrics": "<string>",
"cvss-score": 123,
"cwe-id": [
"<string>"
],
"epss-percentile": 123,
"epss-score": 123
},
"metadata": {},
"author": [
"<string>"
],
"description": "<string>",
"impact": "<string>",
"tags": [
"<string>"
],
"reference": [
"<string>"
],
"remediation": "<string>",
"severity": "<string>"
},
"ip": "<string>",
"matched-at": "<string>",
"matched-line": [
123
],
"matcher-name": "<string>",
"matcher-status": true,
"path": "<string>",
"request": "<string>",
"response": "<string>",
"template-id": "<string>",
"template-path": "<string>",
"timestamp": "<string>",
"type": "<string>",
"error": "<string>",
"issue_trackers": {
"jira": {
"id": "<string>",
"url": "<string>"
},
"github": {
"id": "<string>",
"url": "<string>"
},
"gitlab": {
"id": "<string>",
"url": "<string>"
},
"linear": {
"id": "<string>",
"url": "<string>"
},
"custom": {
"id": "<string>",
"url": "<string>"
}
},
"port": "<string>"
},
"template_id": "<string>",
"result_type": "<string>",
"vuln_hash": "<string>",
"template_url": "<string>",
"updated_at": "<string>",
"change_event": [
{
"name": "<string>",
"from": "<unknown>",
"to": "<unknown>"
}
],
"template_path": "<string>",
"template_encoded": "<string>",
"vuln_status": "<string>",
"labels": [
"<string>"
]
}
]
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Vulnerabilities
Get all Vulnerability Changelogs
get changelogs of all vulnerabilities
GET
/
v1
/
scans
/
vuln
/
changelogs
Get all Vulnerability Changelogs
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Query Parameters
time filter to select
Available options:
last_day, last_week, last_month, last_3_months, last_6_months, last_12_months, all_time comma separated event_type e.g. event_type=vul_status,vul_status_change
comma separated ascending sorting e.g sort_asc=created_at,severity
comma separated descending sorting e.g sort_desc=created_at,severity
number of results to get
number of results to skip
Response
Example response
Show child attributes
Show child attributes
Was this page helpful?
⌘I